• Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 264
  • Last Modified:

help with installing library

Hi all,

I am compiling a program with -lX11 and compiler says ther e is no such library.
I thought I need to install XFree86 devel lib to be able to compile (maybe this is wrong already?)
This is onFedora6 and I don't have installation disks from it so I brought RedHat9.
First, failed dependancies led me to istalling XFree86-libs-data, but that fails because lots of files from this lib conflict with xorg-x11-libs.
Is there a way out of this situation?

thnx
0
ole111
Asked:
ole111
  • 2
1 Solution
 
talkster5Commented:
Have you tried using something like up2date to install the package rather than doing everything manually as it should then install the dependencies as well? If up2date does not work it may be worth a try installing YUM and using the DAG repository.
0
 
ole111Author Commented:
YUM works with Fedora. Among the list of software I found xorg-x11-devel, which I installed.
The compiler still gives the error:
/usr/bin/ld: cannot find -lX11

Do I need another package? Or maybe the problem is somewhere else?
0
 
talkster5Commented:
Hi,
Please take a look at the following link and see if it helps solve your problem:

http://www.geektimes.com/linux/troubleshooting/ld-cannot-find-lX11.html

Thanks.
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Upgrade your Question Security!

Your question, your audience. Choose who sees your identity—and your question—with question security.

  • 2
Tackle projects and never again get stuck behind a technical roadblock.
Join Now